{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    varPath
    mntPath
    secretPath
    ;
  label = "Minecraft";
  name = "minecraft";
  short = "mine";
  secrets = "${secretPath}/${name}";
in
{
  label = label;
  name = name;
  short = short;
  ports = {
    port0 = 43000;
  };
  interface = {
    id = "vm-${short}";
    mac = "02:00:00:00:51:41";
    idUser = "vmuser-${short}";
    macUser = "02:00:00:00:00:41";
    ip = "192.168.50.141";
    gate = "192.168.50.1";
    ssh = 2401;
  };
  varPaths = {
    path0 = "${varPath}/${name}";
  };
  mntPaths = {
    path0 = "${mntPath}/${name}";
  };
  secretPaths = {
    path0 = secrets;
  };
}
